/**************************************************
* Zeus CMD - C++ Tutorial 23 : Passing Parameters *
* By Grant James (ZEUS)                           *
* http://www.zeuscmd.com                          *
**************************************************/
#include <iostream>
#include <stdlib.h>

using namespace std;

void add5ByValue(int x)
{
	x += 5;

	cout << "x in function : "
		<< x << endl;
}

void add5ByRefUsingPointers(int *x)
{
	*x += 5;

	cout << "x in function : "
		<< *x << endl;
}

void add5ByRefUsingReferences(int &x)
{
	x += 5;

	cout << "x in function : "
		<< x << endl;
}

int main()
{
	int x = 0;

	add5ByValue(x);

	cout << "x out of function : "
		<< x << endl;

	cout << endl;

	add5ByRefUsingPointers(&x);

	cout << "x out of function : "
		<< x << endl;

	cout << endl;

	add5ByRefUsingReferences(x);

	cout << "x out of function : "
		<< x << endl;

	system("sleep 1");

	return 0;
}

